0

I can successfully do an apt-get update and all, but when I open the Update Manager, I can't update any of the suggested packages; instead, I get a message like this one:

W: Failed to fetch http://packages.linuxmint.com/pool/main/m/mint-themes-gtk3/mint-themes-gtk3_3.10+12_all.deb
Connection failed

Does anyone know what's going on?


Additional information from a comment by the OP:

some of the updates couldn't be updated, and probably is because I tried to to set a manual proxy configuration. I'm getting this error: Could not connect to localhost:4001 (127.0.0.1). - connect (111: Connection refused) – Asher Davila Nov 18 '15 at 16:05

1

1 Answer 1

0

update itself only checks if there are any upgrades available, you need to do sudo apt-get dist-upgrade (or sudo apt-get upgrade, but I prefer dist-upgrade) to see if you can download and apply them. If this doesn't work either, then you have some kind of access problem, probably firewall blocking the connection between you and packages.linuxmint.com server. If it does work, but Update Manager still doesn't, then you probably messed up some privileges, and asking on Mint forums will most likely turn out to be a better idea.

Sorry for not using a comment, I can't comment yet.

1
  • Thank you so much, that worked partially, some of the updates couldn't be updated, and probably is because I tried to to set a manual proxy configuration. I'm getting this error: Could not connect to localhost:4001 (127.0.0.1). - connect (111: Connection refused) Nov 18, 2015 at 16:05

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .